IdentifierType (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class IdentifierType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.IdentifierType

    public final class IdentifierType

extends EnumerationType

This class defines enumerated types for an Identifier of a format specification document. Applications will not create or modify IdentifierTypes, but will use one of the predefined IdentifierType instances ANSI, DDC, DOI, ECMA, HANDLE, ISO, ISBN, LC, LCCN, NISO, PII, RFC, SICI, URI, URL, URN, or OTHER.

See Also:
  `Identifier`

Field Summary
`static IdentifierType` | `ANSI` Identifier type for American National Standards Institute.
`static IdentifierType` | `CCITT` Identifier type for CCITT.
`static IdentifierType` | `DDC` Identifier type for Dewey Decimal Classification.
`static IdentifierType` | `DOI` Identifier type for Digital Object Identifier.
`static IdentifierType` | `ECMA` Identifier type for ECMA.
`static IdentifierType` | `HANDLE` Identifier type for CNRI Handle.
`static IdentifierType` | `ISBN` Identifier type for International Standard Book Number.
`static IdentifierType` | `ISO` Identifier type for International Standards Organization.
`static IdentifierType` | `ITU` Identifier type for International Telecommunication Union.
`static IdentifierType` | `JEITA` Identifier type for Japan Electronics and Information Technology Industries Association.
`static IdentifierType` | `LC` Identifier type for Library of Congress classification.
`static IdentifierType` | `LCCN` Identifier type for Library of Congress catalogue number.
`static IdentifierType` | `NISO` Identifier type for NISO standard number.
`static IdentifierType` | `OTHER` Identifier type for whatever doesn't fit other categories.
`static IdentifierType` | `PII` Identifier type for Publisher Item Identifier.
`static IdentifierType` | `RFC` Identifier type for IETF Request for Comment.
`static IdentifierType` | `SICI` Identifier type for Serial Item and Contribution Identifier.
`static IdentifierType` | `URI` Identifier type for Uniform Resource Identifier.
`static IdentifierType` | `URL` Identifier type for Uniform Resource Locator.
`static IdentifierType` | `URN` Identifier type for Uniform Resource Name.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANSI

    public static final IdentifierType ANSI

  Identifier type for American National Standards Institute.

### DDC

    public static final IdentifierType DDC

  Identifier type for Dewey Decimal Classification.

### DOI

    public static final IdentifierType DOI

  Identifier type for Digital Object Identifier.

### ECMA

    public static final IdentifierType ECMA

  Identifier type for ECMA.

### HANDLE

    public static final IdentifierType HANDLE

  Identifier type for CNRI Handle.

### ISO

    public static final IdentifierType ISO

  Identifier type for International Standards Organization.

### ISBN

    public static final IdentifierType ISBN

  Identifier type for International Standard Book Number.

### LC

    public static final IdentifierType LC

  Identifier type for Library of Congress classification.

### LCCN

    public static final IdentifierType LCCN

  Identifier type for Library of Congress catalogue number.

### NISO

    public static final IdentifierType NISO

  Identifier type for NISO standard number.

### PII

    public static final IdentifierType PII

  Identifier type for Publisher Item Identifier.

### RFC

    public static final IdentifierType RFC

  Identifier type for IETF Request for Comment.

### SICI

    public static final IdentifierType SICI

  Identifier type for Serial Item and Contribution Identifier.

### URI

    public static final IdentifierType URI

  Identifier type for Uniform Resource Identifier.

### URL

    public static final IdentifierType URL

  Identifier type for Uniform Resource Locator.

### URN

    public static final IdentifierType URN

  Identifier type for Uniform Resource Name.

### CCITT

    public static final IdentifierType CCITT

  Identifier type for CCITT.

### ITU

    public static final IdentifierType ITU

  Identifier type for International Telecommunication Union.

### JEITA

    public static final IdentifierType JEITA

  Identifier type for Japan Electronics and Information Technology Industries Association.

### OTHER

    public static final IdentifierType OTHER

  Identifier type for whatever doesn't fit other categories.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD